import App
def Create(pTorp):

	kOuterShellColor = App.TGColorA()
	kOuterShellColor.SetRGBA(22.0 / 255.0, 55.0 / 255.0, 116.0 / 255.0, 1.000000)	
	kOuterCoreColor = App.TGColorA()
	kOuterCoreColor.SetRGBA(16.0 / 255.0, 86.0 / 255.0, 231.0 / 255.0, 1.000000)
	pTorp.CreateDisruptorModel(kOuterShellColor,kOuterCoreColor, 1.5, 0.45) 	

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.1)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )
	pTorp.SetLifetime( GetLifetime() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.PULSEDISRUPT)

	return(0)

def GetLaunchSpeed():
	return(80.0)

def GetLaunchSound():
	return("IonCannon")

def GetPowerCost():
	return(10.0)

def GetName():
	return("Ion Cannon")

def GetDamage():
	return 2000.0

def GetGuidanceLifetime():
	return 1.5

def GetMaxAngularAccel():
	return 0.17

def GetLifetime():
	return 8.0
